Building packages with pbuilder debuild

New to Debian (Or Linux in general)? Ask your questions here!

Building packages with pbuilder debuild

Postby insomebox » 2017-09-07 11:46

Hello,

I'm trying to rebuild the package kf5-messagelib/stable using

sudo pbuilder debuild --basetgz /var/cache/pbuilder/stretch-amd64-base.tgz

without success. No packages are created in /var/cache/pbuilder/result and no obvious error messages are shown. The output I get is

Code: Select all
W: /root/.pbuilderrc does not exist
I: Building the build Environment
I: extracting base tarball [/var/cache/pbuilder/stretch-amd64-base.tgz]
I: copying local configuration
W: No local /etc/mailname to copy, relying on /var/cache/pbuilder/build/6640/etc/mailname to be correct
I: mounting /proc filesystem
I: mounting /sys filesystem
I: creating /{dev,run}/shm
I: mounting /dev/pts filesystem
I: redirecting /dev/ptmx to /dev/pts/ptmx
I: creating /dev/console
I: mounting /dev/pts/2 over /dev/console
I: policy-rc.d already exists
I: Obtaining the cached apt archive contents
Reading package lists...
Building dependency tree...
Reading state information...
passwd is already the newest version (1:4.4-4.1).
The following additional packages will be installed:
  debootstrap libffi6 libgnutls30 libhogweed4 libidn11 libidn2-0 libnettle6 libp11-kit0 libpsl5 libtasn1-6 libunistring0 wget
Suggested packages:
  gnutls-bin cowdancer gdebi-core
Recommended packages:
  gnupg publicsuffix devscripts eatmydata fakeroot net-tools | iproute2 sudo ca-certificates
The following NEW packages will be installed:
  debootstrap libffi6 libgnutls30 libhogweed4 libidn11 libidn2-0 libnettle6 libp11-kit0 libpsl5 libtasn1-6 libunistring0 pbuilder wget
0 upgraded, 13 newly installed, 0 to remove and 0 not upgraded.
Need to get 0 B/3131 kB of archives.
After this operation, 9511 kB of additional disk space will be used.
debconf: delaying package configuration, since apt-utils is not installed
Selecting previously unselected package libnettle6:amd64.
(Reading database ... 11666 files and directories currently installed.)
Preparing to unpack .../00-libnettle6_3.3-1+b1_amd64.deb ...
Unpacking libnettle6:amd64 (3.3-1+b1) ...
Selecting previously unselected package libhogweed4:amd64.
Preparing to unpack .../01-libhogweed4_3.3-1+b1_amd64.deb ...
Unpacking libhogweed4:amd64 (3.3-1+b1) ...
Selecting previously unselected package libidn11:amd64.
Preparing to unpack .../02-libidn11_1.33-1_amd64.deb ...
Unpacking libidn11:amd64 (1.33-1) ...
Selecting previously unselected package libffi6:amd64.
Preparing to unpack .../03-libffi6_3.2.1-6_amd64.deb ...
Unpacking libffi6:amd64 (3.2.1-6) ...
Selecting previously unselected package libp11-kit0:amd64.
Preparing to unpack .../04-libp11-kit0_0.23.3-2_amd64.deb ...
Unpacking libp11-kit0:amd64 (0.23.3-2) ...
Selecting previously unselected package libtasn1-6:amd64.
Preparing to unpack .../05-libtasn1-6_4.10-1.1_amd64.deb ...
Unpacking libtasn1-6:amd64 (4.10-1.1) ...
Selecting previously unselected package libgnutls30:amd64.
Preparing to unpack .../06-libgnutls30_3.5.8-5+deb9u2_amd64.deb ...
Unpacking libgnutls30:amd64 (3.5.8-5+deb9u2) ...
Selecting previously unselected package libunistring0:amd64.
Preparing to unpack .../07-libunistring0_0.9.6+really0.9.3-0.1_amd64.deb ...
Unpacking libunistring0:amd64 (0.9.6+really0.9.3-0.1) ...
Selecting previously unselected package libidn2-0:amd64.
Preparing to unpack .../08-libidn2-0_0.16-1_amd64.deb ...
Unpacking libidn2-0:amd64 (0.16-1) ...
Selecting previously unselected package libpsl5:amd64.
Preparing to unpack .../09-libpsl5_0.17.0-3_amd64.deb ...
Unpacking libpsl5:amd64 (0.17.0-3) ...
Selecting previously unselected package wget.
Preparing to unpack .../10-wget_1.18-5_amd64.deb ...
Unpacking wget (1.18-5) ...
Selecting previously unselected package debootstrap.
Preparing to unpack .../11-debootstrap_1.0.89_all.deb ...
Unpacking debootstrap (1.0.89) ...
Selecting previously unselected package pbuilder.
Preparing to unpack .../12-pbuilder_0.228.7_all.deb ...
Unpacking pbuilder (0.228.7) ...
Setting up libnettle6:amd64 (3.3-1+b1) ...
Setting up libtasn1-6:amd64 (4.10-1.1) ...
Setting up libhogweed4:amd64 (3.3-1+b1) ...
Processing triggers for libc-bin (2.24-11+deb9u1) ...
Setting up libunistring0:amd64 (0.9.6+really0.9.3-0.1) ...
Setting up libffi6:amd64 (3.2.1-6) ...
Setting up libidn11:amd64 (1.33-1) ...
Setting up libidn2-0:amd64 (0.16-1) ...
Setting up libpsl5:amd64 (0.17.0-3) ...
Setting up libp11-kit0:amd64 (0.23.3-2) ...
Setting up libgnutls30:amd64 (3.5.8-5+deb9u2) ...
Setting up wget (1.18-5) ...
Setting up debootstrap (1.0.89) ...
Setting up pbuilder (0.228.7) ...
Processing triggers for libc-bin (2.24-11+deb9u1) ...
I: Copying back the cached apt archive contents
I: unmounting dev/console filesystem
I: unmounting dev/ptmx filesystem
I: unmounting dev/pts filesystem
I: unmounting dev/shm filesystem
I: unmounting proc filesystem
I: unmounting sys filesystem
I: cleaning the build env
I: removing directory /var/cache/pbuilder/build/6640 and its subdirectories


Building the dsc-file using sudo pbuilder build kf5-messagelib_16.04.3-2.dsc actually works. However, I'd like to patch the source code later on and would very much prefer to use pdebuild. Can anybody point out why this isn't working?

Bart
insomebox
 
Posts: 1
Joined: 2017-09-07 11:14

Re: Building packages with pbuilder debuild

Postby stevepusser » 2017-09-07 18:36

No idea why it just stops for you, but lately I've been having good success with packaging and cross-compiling with pdebuild:

https://forum.mxlinux.org/viewtopic.php?f=86&t=42763

There are some issues that I don't believe will affect you, as you're not concerned with signing the packages or having repopro upload them into a repo. I also don't know if the package names will be the same in Stretch as in Jessie.


MX 16.1 is still currently based on Jessie, but I've been building a lot of MX 17 packages in the last week just using the Stretch option. MX 17 is not even an alpha yet, but there is an ISO out there on Sourceforge...
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Krita 3.3.2.1, Pale Moon 27.6.0, Audacity 2.2.0, mpv 0.27.0, Corebird 1.7.1, Firefox 57.0, SMPlayer 17.11.2
User avatar
stevepusser
 
Posts: 8898
Joined: 2009-10-06 05:53


Return to Beginners Questions

Who is online

Users browsing this forum: No registered users and 8 guests

fashionable